// Learn TypeScript:
//  - https://docs.cocos.com/creator/manual/en/scripting/typescript.html
// Learn Attribute:
//  - https://docs.cocos.com/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - https://docs.cocos.com/creator/manual/en/scripting/life-cycle-callbacks.html

const {ccclass, property} = cc._decorator;

@ccclass
export default class TestScene extends cc.Component {

    @property(cc.Node)
    tNode: cc.Node = null;

   

    // LIFE-CYCLE CALLBACKS:

    // onLoad () {}
    speed = 0
    start () {

    }
    onMoveLeft(){
        this.speed = -10
    }
    onMoveRight(){
        this.speed = 10
    }
    onStop(){
        this.speed = 0
    }
    update (dt) {
        if(this.speed != 0){
            this.tNode.x += this.speed*dt
        }
    }
}
